summaryrefslogtreecommitdiffstats
path: root/client/shared/scripts/restoreBaseImage
diff options
context:
space:
mode:
authoririna <irinagomez@us.es>2013-10-11 12:40:20 +0000
committeririna <irinagomez@us.es>2013-10-11 12:40:20 +0000
commitf456755884247a72cf1af575a6e15c8c3fc92442 (patch)
tree0033af7e543e38c3022f704510858de03d086cab /client/shared/scripts/restoreBaseImage
parentbe48687d995f88aeb4bb482e96e2c870bd82f568 (diff)
#565 adaptacion diferenciales al cliente 1.0.4., extension diferenciles img.diff
git-svn-id: https://opengnsys.es/svn/branches/version1.0@4059 a21b9725-9963-47de-94b9-378ad31fedc9
Diffstat (limited to 'client/shared/scripts/restoreBaseImage')
-rwxr-xr-xclient/shared/scripts/restoreBaseImage10
1 files changed, 6 insertions, 4 deletions
diff --git a/client/shared/scripts/restoreBaseImage b/client/shared/scripts/restoreBaseImage
index c684e6a3..619e5daa 100755
--- a/client/shared/scripts/restoreBaseImage
+++ b/client/shared/scripts/restoreBaseImage
@@ -58,7 +58,8 @@ fi
REPOFILE=$(ogGetPath "REPO" "$2.$IMGEXT") || ogRaiseError $OG_ERR_NOTFOUND "REPO, $2.$IMGEXT"
# Comprobar que es sincronizable (con REPO)
-file $REPOFILE | grep " BTRFS Filesystem" 2>&1 > /dev/null || ogRaiseError $OG_ERR_DONTSYNC_IMAGE "$1 $2"
+#file $REPOFILE | grep -i -e " BTRFS Filesystem" -e " ext4 filesystem " 2>&1 > /dev/null || ogRaiseError $OG_ERR_DONTSYNC_IMAGE "$1 $2"
+ogIsImageSync $1 "$2" $IMGEXT || ogRaiseError $OG_ERR_DONTSYNC_IMAGE "$1 $2"
# Comprobamos si el sistema de ficheros se puede montar
ogMount "$3" "$4" &>/dev/null || RETVAL=$?
@@ -87,7 +88,8 @@ if [ "$1" == "CACHE" -o "$1" == "cache" ]; then
# Sincronizamos si existe el fichero y si no usamos updateCache.
echo "[10] $MSG_SCRIPTS_TASK_START updateCache REPO $2.$IMGEXT $PROTO $6" | tee -a $OGLOGFILE
echo " updateCache REPO" "/$2.$IMGEXT" "$PROTO" "$6" | tee -a $OGLOGFILE
- updateCache REPO "/$2.$IMGEXT" "$PROTO" "$6" &>> $OGLOGCOMMAND
+ #updateCache REPO "/$2.$IMGEXT" "$PROTO" "$6" &>> $OGLOGCOMMAND
+ updateCache REPO "/$2.$IMGEXT" "$PROTO" "$6" 2>&1 | tee -a $OGLOGCOMMAND
RETVAL=$?
if [ "$RETVAL" != "0" ]
then
@@ -127,10 +129,10 @@ ogUnlock $3 $4
echo "[70] $MSG_HELP_ogRestoreInfoImage" |tee -a $OGLOGFILE
ogRestoreInfoImage $3 $4 &>>$OGLOGCOMMAND
-
# Llamar al script de post-configuraciĆ³n del sistema operativo.
echo "[90] $MSG_HELP_configureOs" |tee -a $OGLOGFILE
-configureOs $3 $4 &>>$OGLOGCOMMAND
+# el || echo es para evitar que se maneje el error.
+configureOs $3 $4 &>>$OGLOGCOMMAND || echo "$?" &>>$OGLOGCOMMAND
TIME=$[SECONDS-TIME1]
echo "[100] $MSG_SCRIPTS_END $MSG_SCRIPTS_TIME_TOTAL: $[TIME/60]m $[TIME%60]s" |tee -a $OGLOGFILE